Page MenuHomePhabricator

githelp: cast commands to bytes
ClosedPublic

Authored by indygreg on Feb 11 2018, 9:35 PM.

Details

Summary

This is more compatible with Python 3.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.Feb 11 2018, 9:35 PM
pulkit added a subscriber: pulkit.Feb 12 2018, 2:40 AM
pulkit added inline comments.
hgext/githelp.py
127

This should be __str__ = encoding.strmethod(__bytes__) otherwise we will get an error like str returned a non-string value.

yuja accepted this revision.Feb 15 2018, 7:21 AM
This revision is now accepted and ready to land.Feb 15 2018, 7:21 AM
This revision was automatically updated to reflect the committed changes.